Skip to main content
GET
/
posts
/
{pid}
/
metrics
Get post metrics
curl --request GET \
  --url https://api.social-api.ai/v1/posts/{pid}/metrics \
  --header 'Authorization: <api-key>'
{
  "platforms": [
    {
      "account_id": "acc_01HZ9X3Q4R5M6N7P8V2K0W1J",
      "comments_count": 7,
      "error_category": "<string>",
      "error_caused_by": "<string>",
      "error_message": "<string>",
      "extra_metrics": {},
      "like_count": 42,
      "metrics_synced_at": "2026-04-01T11:00:00Z",
      "permalink": "https://www.instagram.com/p/ABC123/",
      "platform": "instagram",
      "platform_post_id": "17899506382105207",
      "published_at": "2026-04-01T10:00:05Z",
      "saves_count": 3,
      "shares_count": 0,
      "status": "published"
    }
  ],
  "post_id": "<string>"
}

Authorizations

Authorization
string
header
required

Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...

Path Parameters

pid
string
required

Post ID

Response

OK

platforms
object[]
post_id
string